Subject: bug#50150: Re: bug#50150: 28.0.50; press a key will become a lot of keys

From: yuan <[email-masked]>
Date: Mon, 23 Aug 2021 14:18:34 +0800 (CST)

I recompiled emacs. Removed native-comp. But the problem still appeared.

In GNU Emacs 28.0.50 (build 1, x86_64-apple-darwin19.6.0, NS appkit-1894.60 Version 10.15.7 (Build 19H2))
 of 2021-08-23 built on chenzhiyuandeMacBook-Pro.local
Repository revision: 20e32f3c3fee1446768786c04b52cde4ce313e37
Repository branch: master
Windowing system distributor 'Apple', version 10.3.1894
System Description:  Mac OS X 10.15.7

Configured using:
 'configure --with-xwidgets --with-mailutils'

Configured features:
ACL GLIB GMP GNUTLS JPEG JSON LCMS2 LIBXML2 MODULES NOTIFY KQUEUE NS
PDUMPER PNG RSVG THREADS TIFF TOOLKIT_SCROLL_BARS XIM XWIDGETS ZLIB

Important settings:
  value of $LANG: zh_CN.UTF-8
  locale-coding-system: utf-8

Use the following command to start emacs.
/Applications/Emacs.app/Contents/MacOS/Emacs -Q

Then use the configuration in test.el.
I open a go file. Then use

The command on the right is the information displayed after using view-lossage

Does it have something to do with the Chinese input method I use? Or this bug caused by the interaction between the input method and emacs? Because after inputting Chinese, an auto-complete prompt message will pop up

At 2021-08-22 22:25:54, "Lars Ingebrigtsen" <[email-masked]> wrote:
>yuan  <[email-masked]> writes:
>
>> The summary is:
>>
>>    emacs-28 native-compile version, turn on completion. Quick input will
>> reproduce this bug. 
>
>Do you have a recipe, starting from "emacs -Q", for how to reproduce the
>problem?
>
>-- 
>(domestic pets only, the antidote for overdose, milk.)
>   bloggy blog: http://lars.ingebrigtsen.no